> ## Documentation Index
> Fetch the complete documentation index at: https://kosli-reference-docs-v2-30-1.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Get deployment frequency

> Get deployment frequency for a specific flow in an environment.



## OpenAPI

````yaml https://app.kosli.com/api/v2/openapi.json get /environments/{org}/{env_name}/deployment_frequency
openapi: 3.1.0
info:
  title: Kosli API
  summary: The API for communicating with Kosli
  description: >

    # Authentication 


    When making requests against Kosli API, you can authenticate your requests
    using a bearer token. 

    Set the bearer token in the request Authorization header to a valid API
    key. 

    API Keys can be personal or for service accounts. Check the [service
    accounts
    documentation](https://docs.kosli.com/getting_started/service-accounts/) for
    details. 


    ## Curl example


    ```shell

    curl -H "Authorization: Bearer <<your-api-key>>"
    https://app.kosli.com/api/v2/environments/<<your-org-name>>

    ```
  version: '2.0'
servers:
  - url: https://app.kosli.com/api/v2
    description: EU
  - url: https://app.us.kosli.com/api/v2
    description: US
security:
  - HTTPBearer: []
paths:
  /environments/{org}/{env_name}/deployment_frequency:
    get:
      tags:
        - Environments
      summary: Get deployment frequency
      description: Get deployment frequency for a specific flow in an environment.
      operationId: get_deployment_frequency
      parameters:
        - name: env_name
          in: path
          required: true
          schema:
            type: string
            title: Env Name
        - name: org
          in: path
          required: true
          schema:
            type: string
            title: Org
        - name: flow_id
          in: query
          required: false
          schema:
            type: string
            description: The id of the flow to get deployment frequency
            title: Flow Id
          description: The id of the flow to get deployment frequency
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema: {}
      security:
        - HTTPBearer: []
        - HTTPBasic: []
components:
  securitySchemes:
    HTTPBearer:
      type: http
      scheme: bearer

````